Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034735
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-12-14 17:442017-01-09 11:18
ReportermalsasuaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR17Q2
StatusclosedFix in branchFixed in SCM revision278add3d4bdb
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034735: incremental refresh is stopped if one masterdata query is very slow

Descriptionduring incremental refresh process, if one masterdata query is very slow, then the terminal is locked while the request does not finish
Steps To Reproduce. to simulate one slow query, we are going to add one breakpoint in this line code:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/8435373ee62d/src/org/openbravo/retail/posterminal/master/Product.java#l310 [^]

. execute incremental refresh process

the terminal is locked while the execution is stopped in the breakpoint
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0034665 closedmarvintm The terminal should be locked until the full/incremental refresh finish 
depends on backport 0034865RR17Q1 closedjorge-garcia incremental refresh is stopped if one masterdata query is very slow 
related to defect 0036263 closedmigueldejuana The queries related with a incremental refresh should be interrupted when the timeout for the request is reached 

-  Notes
(0093160)
hgbot (developer)
2017-01-04 11:21

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 278add3d4bdb049b755035b3a7bb044221de0cb8
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Jan 03 15:29:46 2017 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/278add3d4bdb049b755035b3a7bb044221de0cb8 [^]

Fixed issue 34735: incremental refresh is stopped if one masterdata query
is very slow

Added a timeout to the masterdata requests. This timeout has been set to
five seconds if we are doing an incremental refresh. If it’s the full refresh,
there is no time limit to this request.

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/data/ob-datasource.js
---

- Issue History
Date Modified Username Field Change
2016-12-14 17:44 malsasua New Issue
2016-12-14 17:44 malsasua Assigned To => Retail
2016-12-14 17:44 malsasua Triggers an Emergency Pack => No
2016-12-14 17:45 malsasua Relationship added related to 0034665
2017-01-03 08:40 jorge-garcia Status new => scheduled
2017-01-03 08:40 jorge-garcia Assigned To Retail => jorge-garcia
2017-01-04 11:21 hgbot Checkin
2017-01-04 11:21 hgbot Note Added: 0093160
2017-01-04 11:21 hgbot Status scheduled => resolved
2017-01-04 11:21 hgbot Resolution open => fixed
2017-01-04 11:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/278add3d4bdb049b755035b3a7bb044221de0cb8 [^]
2017-01-09 11:18 marvintm Status resolved => new
2017-01-09 11:18 marvintm Resolution fixed => open
2017-01-09 11:18 marvintm Status new => scheduled
2017-01-09 11:18 marvintm Status scheduled => resolved
2017-01-09 11:18 marvintm Fixed in Version => RR17Q2
2017-01-09 11:18 marvintm Resolution open => fixed
2017-01-09 11:18 marvintm Review Assigned To => marvintm
2017-01-09 11:18 marvintm Status resolved => closed
2017-06-16 11:30 egoitz Relationship added related to 0036263


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker